Loading...
Searching...
No Matches
globus_gsi_system_config.h File Reference

Globus GSI System Config Library. More...

`#include "globus_common.h"`
`#include "globus_gsi_system_config_constants.h"`
`#include "openssl/x509.h"`

Go to the source code of this file.

## Macros

#define | GLOBUS_GSI_SYSCONFIG_MODULE
#define | GLOBUS_GSI_SYSCONFIG_SET_KEY_PERMISSIONS
#define | GLOBUS_GSI_SYSCONFIG_GET_HOME_DIR
#define | GLOBUS_GSI_SYSCONFIG_CHECK_KEYFILE
#define | GLOBUS_GSI_SYSCONFIG_CHECK_KEYFILE_UID
#define | GLOBUS_GSI_SYSCONFIG_CHECK_CERTFILE
#define | GLOBUS_GSI_SYSCONFIG_CHECK_CERTFILE_UID
#define | GLOBUS_GSI_SYSCONFIG_FILE_EXISTS
#define | GLOBUS_GSI_SYSCONFIG_DIR_EXISTS
#define | GLOBUS_GSI_SYSCONFIG_GET_CERT_DIR
#define | GLOBUS_GSI_SYSCONFIG_GET_USER_CERT_FILENAME
#define | GLOBUS_GSI_SYSCONFIG_GET_HOST_CERT_FILENAME
#define | GLOBUS_GSI_SYSCONFIG_GET_SERVICE_CERT_FILENAME
#define | GLOBUS_GSI_SYSCONFIG_GET_PROXY_FILENAME
#define | GLOBUS_GSI_SYSCONFIG_GET_SIGNING_POLICY_FILENAME
#define | GLOBUS_GSI_SYSCONFIG_GET_CA_CERT_FILES
#define | GLOBUS_GSI_SYSCONFIG_GET_CURRENT_WORKING_DIR
#define | GLOBUS_GSI_SYSCONFIG_MAKE_ABSOLUTE_PATH_FOR_FILENAME
#define | GLOBUS_GSI_SYSCONFIG_SPLIT_DIR_AND_FILENAME
#define | GLOBUS_GSI_SYSCONFIG_REMOVE_ALL_OWNED_FILES
#define | GLOBUS_GSI_SYSCONFIG_GET_GRIDMAP_FILENAME
#define | GLOBUS_GSI_SYSCONFIG_GET_AUTHZ_CONF_FILENAME
#define | GLOBUS_GSI_SYSCONFIG_GET_GAA_CONF_FILENAME
#define | GLOBUS_GSI_SYSCONFIG_IS_SUPERUSER
#define | GLOBUS_GSI_SYSCONFIG_GET_USER_ID_STRING
#define | GLOBUS_GSI_SYSCONFIG_GET_PROC_ID_STRING
#define | GLOBUS_GSI_SYSCONFIG_GET_USERNAME
#define | GLOBUS_GSI_SYSCONFIG_GET_UNIQUE_PROXY_FILENAME
#define | GLOBUS_GSI_SYSCONFIG_GET_VHOST_CRED_DIR

## Detailed Description

Globus GSI System Config Library.

Author
  Sam Lang, Sam Meder